<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Plik: kris_user_info_panel.php
| Autor: krystian1988
| Wersja: 1.0 (stable)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
if (file_exists(INFUSIONS."kris_user_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."kris_user_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."kris_user_info_panel/locale/Polish.php";
}
if (iMEMBER) {
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'");

	openside("Witaj: ".$userdata['user_name']."");
	 include(INFUSIONS.'kris_user_info_panel/user_stats.php');
	 ?>
	<?php echo THEME_BULLET; ?> <a href='<?php echo BASEDIR; ?>edit_profile.php' class='side' title='<?php echo $locale['global_120']; ?>'><?php echo $locale['global_120']; ?></a><br />
	<?php echo THEME_BULLET; ?> <a href='<?php echo BASEDIR; ?>messages.php' class='side' title='<?php echo $locale['global_121']; ?>'><?php echo $locale['global_121']; ?></a><br />
	<?php echo THEME_BULLET; ?> <a href='<?php echo BASEDIR; ?>members.php' class='side' title='<?php echo $locale['global_122']; ?>'><?php echo $locale['global_122']; ?></a><br />

	<? if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) { ?>
		<?php echo THEME_BULLET; ?> <a href='<?php echo ADMIN; ?>index.php<?php echo $aidlink; ?>' class='side' title='<?php echo $locale['global_123']; ?>'><?php echo $locale['global_123']; ?></a><br />
	<? } ?>

	<?php echo THEME_BULLET; ?> <a href='<?php echo BASEDIR; ?>index.php?logout=yes' class='side' title='<?php echo $locale['global_124']; ?>'><?php echo $locale['global_124']; ?></a>

	<? if ($msg_count) { ?>
		<div style='text-align:center;margin-top:15px;'>
		<strong><a href='<?php echo BASEDIR; ?>messages.php' class='side'><?php echo sprintf($locale['global_125'], $msg_count); ?>
		<?php echo ($msg_count == 1 ? $locale['global_126'] : $locale['global_127']); ?></a></strong>
		</div>
	<? } ?>

	<? if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
		$subm_count = dbcount("(submit_id)", DB_SUBMISSIONS);

		if ($subm_count) { ?>
			<div style='text-align:center;margin-top:15px;'>
			<strong><a href='<?php echo ADMIN; ?>submissions.php<?php echo $aidlink; ?>' class='side'><?php echo sprintf($locale['global_125'], $subm_count); ?>
			<?php echo ($subm_count == 1 ? $locale['global_128'] : $locale['global_129']); ?></a></strong>
			</div>
		<?php }
	}
	closeside();
} else {
	if (!preg_match('/login.php/i',FUSION_SELF)) {
		$action_url = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");
		if (isset($_GET['redirect']) && strstr($_GET['redirect'], "/")) {
			$action_url = cleanurl(urldecode($_GET['redirect']));
		}

		openside($locale['global_100']); ?>
		<div style='text-align:center'>
		<form name='loginform' method='post' action='<?php echo $action_url; ?>'>
		<?php echo $locale['global_101']; ?><br /><input type='text' name='user_name' class='textbox' style='width:100px' /><br />
		<?php echo $locale['global_102']; ?><br /><input type='password' name='user_pass' class='textbox' style='width:100px' /><br />
		<label><input type='checkbox' name='remember_me' value='y' title='<?php echo $locale['global_103']; ?>' style='vertical-align:middle;' /></label>
		<input type='submit' name='login' value='<?php echo $locale['global_104']; ?>' class='button' /><br />
		</form><br />

		<?php if ($settings['enable_registration']) { ?>
			<?php echo $locale['global_105']; ?><br /><br />
		<? } ?>
		<?php echo $locale['global_106']; ?></div>
		<? closeside();
	}
}
?>